include:
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/mixins/docker.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/mixins/runtime_env.gitlab-ci.yml"

.job_test_base:
  stage: test
  image: $CI_REGISTRY_IMAGE:dev
  only:
    - merge_requests
    - main
    - deploy
    - production

.job_test:
  extends:
    - .job_test_base

.job_test_with_db:
  extends:
    - .job_test_base
  services:
    - postgres
